package com.company.jmixproject.screen.user;

import com.company.jmixproject.entity.User;
import com.google.common.collect.ImmutableMap;
import io.jmix.core.Metadata;
import io.jmix.core.MetadataTools;
import io.jmix.datatoolsui.screen.entityinspector.EntityInspectorBrowser;
import io.jmix.ui.ScreenBuilders;
import io.jmix.ui.Screens;
import io.jmix.ui.component.Button;
import io.jmix.ui.navigation.Route;
import io.jmix.ui.screen.*;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("jmixp_User.browse")
@UiDescriptor("user-browse.xml")
@LookupComponent("usersTable")
@Route("users")
public class UserBrowse extends StandardLookup<User> {
    @Autowired
    private Screens screens;

    @Autowired
    private ScreenBuilders screenBuilders;

    @Autowired
    private Metadata metadata;

    @Autowired
    private MetadataTools metadataTools;

    @Subscribe("someBtn")
    public void onSomeBtnClick(Button.ClickEvent event) {
        screenBuilders.screen(this)
                .withScreenClass(EntityInspectorBrowser.class)
                .withOptions(new MapScreenOptions(ImmutableMap.of("entity", "jmixp_User")))
                .build()
                .show();
    }
}